Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHProtocolPlugin

    java.lang.Object
      com.mindbright.ssh.SSHProtocolPlugin

Direct Known Subclasses:
  SSHFtpPlugin

public class SSHProtocolPlugin
extends java.lang.Object

Constructor Summary
`SSHProtocolPlugin()`

Method Summary
`static void` | `addPlugin(java.lang.String name, SSHProtocolPlugin plugin)`
`static SSHProtocolPlugin` | `getPlugin(java.lang.String name)`
`void` | `initiate(SSHClient client)`
`static void` | `initiateAll(SSHClient client)`
`SSHListenChannel` | `localListener(java.lang.String localHost, int localPort, java.lang.String remoteHost, int remotePort, SSHChannelController controller)`
`void` | `remoteListener(int remotePort, java.lang.String localHost, int localPort, SSHChannelController controller)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHProtocolPlugin

    public SSHProtocolPlugin()

Method Detail

### getPlugin

    public static SSHProtocolPlugin getPlugin(java.lang.String name)

### addPlugin

    public static void addPlugin(java.lang.String name,
                                 SSHProtocolPlugin plugin)

### initiateAll

    public static void initiateAll(SSHClient client)

### initiate

    public void initiate(SSHClient client)

### localListener

    public SSHListenChannel localListener(java.lang.String localHost,
                                          int localPort,
                                          java.lang.String remoteHost,
                                          int remotePort,
                                          SSHChannelController controller)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### remoteListener

    public void remoteListener(int remotePort,
                               java.lang.String localHost,
                               int localPort,
                               SSHChannelController controller)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD